Subject: Re: bug#21207: 25.0.50; Cursor position behaves unpredictably on the 'display text property

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Aug 2015 09:52:44 +0300

> Date: Sat, 8 Aug 2015 04:39:49 +0100
> From: Artur Malabarba <[email-masked]>
> Cc: [email-masked]
> 
> > > > In general, I hoped that line wrap at some constant column other than
> > > > the window edge (which is what I understand you are trying to do) will
> > > > be implemented on the display engine level, where IMO it belongs, not
> > > > by using display properties and such likes.
> > >
> > > That makes sense. Would it still be possible to make that depend on a
> > > predicate defined in a lisp variable? Or would the display engine run
> > > too deep for that?
> >
> > Not sure I understand what kind of predicate you have in mind. Please
> > elaborate.
> 
> Something like fill-nobreak-predicate. You provide a nullary predicate
> function, and wrapping is not done on lines where that predicate evaluates to
> t. 

I see no problem to support that, once the code which wraps is
written.  The Emacs display engine already supports Lisp evaluation,
e.g., :eval in mode-line format.